Package org.pushingpixels.flamingo.internal.ui.ribbon

# Class JBandControlPanel

java.lang.Object
java.awt.Component
java.awt.Container
javax.swing.JComponent
javax.swing.JPanel
org.pushingpixels.flamingo.internal.ui.ribbon.AbstractBandControlPanel
org.pushingpixels.flamingo.internal.ui.ribbon.JBandControlPanel

All Implemented Interfaces:
  `ImageObserver`, `MenuContainer`, `Serializable`, `Accessible`, `UIResource`

public class JBandControlPanel extends AbstractBandControlPanel implements UIResource
Control panel of a single `JRibbonBand`. This class is for internal use only and should not be directly used by the applications.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`JBandControlPanel.ControlPanelGroup`

## Nested classes/interfaces inherited from class javax.swing.JPanel

`JPanel.AccessibleJPanel`

## Nested classes/interfaces inherited from class javax.swing.JComponent

`JComponent.AccessibleJComponent`

## Nested classes/interfaces inherited from class java.awt.Container

`Container.AccessibleAWTContainer`

## Nested classes/interfaces inherited from class java.awt.Component

`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final List<AbstractCommandButton>`
`EMPTY_GALLERY_BUTTONS_LIST`
Empty list of buttons.
`static final List<JRibbonGallery>`
`EMPTY_RIBBON_GALLERIES_LIST`
Empty list of galleries.
`static final String`
`uiClassID`
The UI class ID string.

### Fields inherited from class javax.swing.JComponent

`listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

### Fields inherited from class java.awt.Component

`accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

## Constructor Summary

Constructors
Constructor
Description
`JBandControlPanel()`
Creates a control panel for specified ribbon band.

## Method Summary

Modifier and Type
Method
Description
`void`
`addChangeListener(ChangeListener l)`
`void`
`addCommandButton(AbstractCommandButton ribbonButton, RibbonElementPriority priority)`
Adds a new ribbon button to `this` control panel.
`void`
`addRibbonComponent(JRibbonComponent comp)`
`void`
`addRibbonComponent(JRibbonComponent comp, int rowSpan)`
`void`
`addRibbonGallery(JRibbonGallery ribbonGallery, RibbonElementPriority priority)`
Adds a new in-ribbon gallery to `this` control panel.
`protected void`
`fireChanged()`
`int`
`getControlPanelGroupCount()`
`List<JBandControlPanel.ControlPanelGroup>`
`getControlPanelGroups()`
`String`
`getControlPanelGroupTitle(int controlPanelGroupIndex)`
`List<JRibbonComponent>`
`getRibbonComponents(int groupIndex)`
`JRibbonGallery`
`getRibbonGallery(String galleryName)`
Returns the ribbon gallery based on its name.
`BandControlPanelUI`
`getUI()`
`String`
`getUIClassID()`
`void`
`removeChangeListener(ChangeListener l)`
`void`
`setGroupTitle(int groupIndex, String groupTitle)`
`void`
`setPriority(JCommandButton ribbonButton, RibbonElementPriority newPriority)`
Sets new priority of a ribbon button in `this` control panel.
`void`
`setPriority(JRibbonGallery ribbonGallery, RibbonElementPriority newPriority)`
Sets new priority of an in-ribbon gallery in `this` control panel.
`void`
`setUI(BandControlPanelUI ui)`
Sets the new UI delegate.
`int`
`startGroup()`
`int`
`startGroup(String groupTitle)`
`void`
`updateUI()`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.ribbon.AbstractBandControlPanel

`getRibbonBand, setRibbonBand`

### Methods inherited from class javax.swing.JPanel

`getAccessibleContext, paramString, setUI`

### Methods inherited from class javax.swing.JComponent

`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setMixingCutoutShape, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### EMPTY_GALLERY_BUTTONS_LIST

public static final List<AbstractCommandButton> EMPTY_GALLERY_BUTTONS_LIST
Empty list of buttons.

### EMPTY_RIBBON_GALLERIES_LIST

public static final List<JRibbonGallery> EMPTY_RIBBON_GALLERIES_LIST
Empty list of galleries.

### uiClassID

public static final String uiClassID
The UI class ID string.

See Also:
  - Constant Field Values

## Constructor Details

### JBandControlPanel

public JBandControlPanel()
Creates a control panel for specified ribbon band.

## Method Details

### setUI

public void setUI(BandControlPanelUI ui)
Sets the new UI delegate.

Parameters:
  `ui` - New UI delegate.

### updateUI

public void updateUI()

Overrides:
  `updateUI` in class `JPanel`

### getUI

public BandControlPanelUI getUI()

Overrides:
  `getUI` in class `AbstractBandControlPanel`

### getUIClassID

public String getUIClassID()

Overrides:
  `getUIClassID` in class `JPanel`

### addCommandButton

public void addCommandButton(AbstractCommandButton ribbonButton, RibbonElementPriority priority)
Adds a new ribbon button to `this` control panel.

Parameters:
  `ribbonButton` - Ribbon button to add.
  `priority` - Ribbon button priority.

### addRibbonGallery

public void addRibbonGallery(JRibbonGallery ribbonGallery, RibbonElementPriority priority)
Adds a new in-ribbon gallery to `this` control panel.

Parameters:
  `ribbonGallery` - Ribbon gallery to add.
  `priority` - Ribbon gallery priority.

### setPriority

public void setPriority(JCommandButton ribbonButton, RibbonElementPriority newPriority)
Sets new priority of a ribbon button in `this` control panel.

Parameters:
  `ribbonButton` - Gallery button.
  `newPriority` - New priority for the specified ribbon button.

### setPriority

public void setPriority(JRibbonGallery ribbonGallery, RibbonElementPriority newPriority)
Sets new priority of an in-ribbon gallery in `this` control panel.

Parameters:
  `ribbonGallery` - In-ribbon gallery.
  `newPriority` - New priority for the specified in-ribbon gallery.

### addRibbonComponent

public void addRibbonComponent(JRibbonComponent comp)

### addRibbonComponent

public void addRibbonComponent(JRibbonComponent comp, int rowSpan)

### getControlPanelGroups

public List<JBandControlPanel.ControlPanelGroup> getControlPanelGroups()

### getControlPanelGroupCount

public int getControlPanelGroupCount()

### getControlPanelGroupTitle

public String getControlPanelGroupTitle(int controlPanelGroupIndex)

### startGroup

public int startGroup()

### startGroup

public int startGroup(String groupTitle)

### setGroupTitle

public void setGroupTitle(int groupIndex, String groupTitle)

### getRibbonGallery

public JRibbonGallery getRibbonGallery(String galleryName)
Returns the ribbon gallery based on its name.

Parameters:
  `galleryName` - Ribbon gallery name.
Returns:
  Ribbon gallery.

### addChangeListener

public void addChangeListener(ChangeListener l)

### removeChangeListener

public void removeChangeListener(ChangeListener l)

### fireChanged

protected void fireChanged()

### getRibbonComponents

public List<JRibbonComponent> getRibbonComponents(int groupIndex)